From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/mlt/
Date: Sun, 3 Jan 2021 15:53:10 +0000 (UTC) [thread overview]
Message-ID: <1609689171.a7c728b8f2ccacd17d1ce3c5bec727622a64f308.asturm@gentoo> (raw)
commit: a7c728b8f2ccacd17d1ce3c5bec727622a64f308
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 3 12:42:38 2021 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 3 15:52:51 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7c728b8
media-libs/mlt: Fix media-libs/rubberband automagic w/ IUSE=rubberband
Reported-by: Marc Schiffbauer <mschiff <AT> gentoo.org>
Closes: https://bugs.gentoo.org/763222
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-libs/mlt/metadata.xml | 6 +-
media-libs/mlt/mlt-6.24.0-r1.ebuild | 235 ++++++++++++++++++++++++++++++++++++
2 files changed, 239 insertions(+), 2 deletions(-)
diff --git a/media-libs/mlt/metadata.xml b/media-libs/mlt/metadata.xml
index dae5f6d74dd..0a18c2e2c88 100644
--- a/media-libs/mlt/metadata.xml
+++ b/media-libs/mlt/metadata.xml
@@ -3,6 +3,7 @@
<pkgmetadata>
<maintainer type="project">
<email>media-video@gentoo.org</email>
+ <name>Gentoo Video Project</name>
</maintainer>
<maintainer type="project">
<email>kde@gentoo.org</email>
@@ -16,8 +17,9 @@
<flag name="melt">Build the melt commandline tool</flag>
<flag name="opencv">Build motion tracking module using <pkg>media-libs/opencv</pkg></flag>
<flag name="python">Build SWIG bindings for Python</flag>
- <flag name="rtaudio">Builds rtaudio consumer for native audio support on multiple platforms.</flag>
- <flag name="vidstab">Enabled video stabilization with <pkg>media-libs/vidstab</pkg>.</flag>
+ <flag name="rtaudio">Builds rtaudio consumer for native audio support on multiple platforms</flag>
+ <flag name="rubberband">Enable audio pitch-shifting using <pkg>media-libs/rubberband</pkg></flag>
+ <flag name="vidstab">Enabled video stabilization with <pkg>media-libs/vidstab</pkg></flag>
<!--
<flag name="swfdec">Use <pkg>media-libs/swfdec</pkg> for reading .swf files (Macromedia Flash) instead of libavformat.</flag>
<flag name="java">Build SWIG bindings for Java</flag>
diff --git a/media-libs/mlt/mlt-6.24.0-r1.ebuild b/media-libs/mlt/mlt-6.24.0-r1.ebuild
new file mode 100644
index 00000000000..4199be12c6b
--- /dev/null
+++ b/media-libs/mlt/mlt-6.24.0-r1.ebuild
@@ -0,0 +1,235 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit lua python-single-r1 qmake-utils toolchain-funcs
+
+DESCRIPTION="Open source multimedia framework for television broadcasting"
+HOMEPAGE="https://www.mltframework.org/"
+SRC_URI="https://github.com/mltframework/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="compressed-lumas cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 debug ffmpeg
+fftw frei0r gtk jack kdenlive kernel_linux libsamplerate lua melt opencv opengl python
+qt5 rtaudio rubberband sdl vdpau vidstab xine xml"
+# java perl php tcl
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+SWIG_DEPEND=">=dev-lang/swig-2.0"
+# java? ( ${SWIG_DEPEND} >=virtual/jdk-1.5 )
+# perl? ( ${SWIG_DEPEND} )
+# php? ( ${SWIG_DEPEND} )
+# tcl? ( ${SWIG_DEPEND} )
+# ruby? ( ${SWIG_DEPEND} )
+BDEPEND="
+ virtual/pkgconfig
+ compressed-lumas? ( virtual/imagemagick-tools[png] )
+ lua? ( ${SWIG_DEPEND} virtual/pkgconfig )
+ python? ( ${SWIG_DEPEND} )
+"
+#rtaudio will use OSS on non linux OSes
+DEPEND="
+ >=media-libs/libebur128-1.2.2:=
+ ffmpeg? ( media-video/ffmpeg:0=[vdpau?,-flite] )
+ fftw? ( sci-libs/fftw:3.0= )
+ frei0r? ( media-plugins/frei0r-plugins )
+ gtk? (
+ media-libs/libexif
+ x11-libs/pango
+ )
+ jack? (
+ >=dev-libs/libxml2-2.5
+ media-libs/ladspa-sdk
+ virtual/jack
+ )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
+ lua? ( ${LUA_DEPS} )
+ opencv? ( >=media-libs/opencv-3.2.0:= )
+ opengl? ( media-video/movit )
+ python? ( ${PYTHON_DEPS} )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/libexif
+ x11-libs/libX11
+ )
+ rtaudio? (
+ >=media-libs/rtaudio-4.1.2
+ kernel_linux? ( media-libs/alsa-lib )
+ )
+ rubberband? ( media-libs/rubberband )
+ sdl? (
+ media-libs/libsdl2[X,opengl,video]
+ media-libs/sdl2-image
+ )
+ vidstab? ( media-libs/vidstab )
+ xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
+ xml? ( >=dev-libs/libxml2-2.5 )"
+# java? ( >=virtual/jre-1.5 )
+# perl? ( dev-lang/perl )
+# php? ( dev-lang/php )
+# ruby? ( ${RUBY_DEPS} )
+# sox? ( media-sound/sox )
+# tcl? ( dev-lang/tcl:0= )
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS NEWS README docs/{framework,melt,mlt{++,-xml}}.txt )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.10.0-swig-underlinking.patch
+ "${FILESDIR}"/${PN}-6.22.1-no_lua_bdepend.patch
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
+ for x in python lua; do
+ sed -i "/mlt.so/s/ -lmlt++ /& ${CFLAGS} ${LDFLAGS} /" src/swig/$x/build || die
+ done
+
+ use python && python_fix_shebang src/swig/python
+}
+
+src_configure() {
+ tc-export CC CXX
+
+ local myconf=(
+ --enable-gpl
+ --enable-gpl3
+ --enable-motion-est
+ --target-arch=$(tc-arch)
+ --disable-gtk2
+ --disable-kde
+ --disable-sdl
+ --disable-swfdec
+ $(use_enable debug)
+ $(use_enable cpu_flags_x86_sse sse)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable ffmpeg avformat)
+ $(use_enable fftw plus)
+ $(use_enable frei0r)
+ $(use_enable gtk gdk)
+ $(use_enable jack jackrack)
+ $(use_enable kdenlive)
+ $(use_enable libsamplerate resample)
+ $(use_enable melt)
+ $(use_enable opencv)
+ $(use_enable opengl)
+ $(use_enable qt5 qt)
+ $(use_enable rtaudio)
+ $(use_enable rubberband)
+ $(use_enable sdl sdl2)
+ $(use_enable vidstab vid.stab)
+ $(use_enable xine)
+ $(use_enable xml)
+ --disable-sox
+ )
+ #$(use_enable sox) FIXME
+
+ use compressed-lumas && myconf+=( --luma-compress )
+ use ffmpeg && myconf+=( --avformat-swscale )
+ use vdpau && myconf+=( --avformat-vdpau )
+
+ if use qt5 ; then
+ myconf+=(
+ --qt-includedir=$(qt5_get_headerdir)
+ --qt-libdir=$(qt5_get_libdir)
+ )
+ fi
+
+ if use amd64 || use x86 ; then
+ myconf+=( $(use_enable cpu_flags_x86_mmx mmx) )
+ else
+ myconf+=( --disable-mmx )
+ fi
+
+ if ! use melt ; then
+ sed -i -e "s;src/melt;;" Makefile || die
+ fi
+
+ # TODO: add swig language bindings
+ # see also https://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
+
+ local swig_lang=()
+ # not done: java perl php ruby tcl
+ # handled separately: lua
+ for i in python; do
+ use $i && swig_lang+=( $i )
+ done
+ [[ -z "${swig_lang}" ]] && swig_lang=( none )
+
+ econf "${myconf[@]}" --swig-languages="${swig_lang[*]}"
+
+ sed -i -e s/^OPT/#OPT/ config.mak || die
+}
+
+src_compile() {
+ default
+
+ if use lua; then
+ # Only copy sources now to avoid unnecessary rebuilds
+ lua_copy_sources
+
+ lua_compile() {
+ pushd "${BUILD_DIR}"/src/swig/lua > /dev/null || die
+
+ sed -i -e "s| mlt_wrap.cxx| $(lua_get_CFLAGS) mlt_wrap.cxx|" build || die
+ ./build
+
+ popd > /dev/null || die
+ }
+ lua_foreach_impl lua_compile
+ fi
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/${PN}
+ doins -r demo
+
+ #
+ # Install SWIG bindings
+ #
+
+ docinto swig
+
+ if use lua; then
+ lua_install() {
+ pushd "${BUILD_DIR}"/src/swig/lua > /dev/null || die
+
+ exeinto "$(lua_get_cmod_dir)"
+ doexe mlt.so
+
+ popd > /dev/null || die
+ }
+ lua_foreach_impl lua_install
+
+ dodoc "${S}"/src/swig/lua/play.lua
+ fi
+
+ if use python; then
+ cd "${S}"/src/swig/python || die
+ python_domodule mlt.py _mlt.so
+ chmod +x "${D}$(python_get_sitedir)/_mlt.so" || die
+ dodoc play.py
+ python_optimize
+ fi
+
+ # not done: java perl php ruby tcl
+}
next reply other threads:[~2021-01-03 15:53 UTC|newest]
Thread overview: 181+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-03 15:53 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-06 19:00 [gentoo-commits] repo/gentoo:master commit in: media-libs/mlt/ Andreas Sturmlechner
2024-12-15 20:29 Andreas Sturmlechner
2024-12-12 22:18 Andreas Sturmlechner
2024-12-12 11:08 Sam James
2024-12-12 11:08 Sam James
2024-12-12 11:08 Sam James
2024-12-10 15:25 Sam James
2024-11-09 15:46 Andreas Sturmlechner
2024-10-21 17:35 Andreas Sturmlechner
2024-10-21 17:35 Andreas Sturmlechner
2024-06-29 18:41 Andreas Sturmlechner
2024-06-17 5:54 Arthur Zamarin
2024-06-17 5:19 Arthur Zamarin
2024-05-14 17:41 Andreas Sturmlechner
2024-04-22 17:07 Andreas Sturmlechner
2024-04-20 17:39 Arthur Zamarin
2024-04-20 14:52 Arthur Zamarin
2024-04-20 14:52 Arthur Zamarin
2024-01-21 19:15 Andreas Sturmlechner
2024-01-21 8:57 Sam James
2024-01-10 9:56 Andreas Sturmlechner
2023-12-14 20:20 Andreas Sturmlechner
2023-11-28 9:46 Andreas Sturmlechner
2023-11-13 22:08 Andreas Sturmlechner
2023-11-13 22:08 Andreas Sturmlechner
2023-10-08 14:37 Andreas Sturmlechner
2023-09-30 10:00 Andreas Sturmlechner
2023-09-28 1:00 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-09-26 18:09 Arthur Zamarin
2023-08-20 14:49 Andreas Sturmlechner
2023-08-16 19:17 Sam James
2023-08-12 16:03 Arthur Zamarin
2023-07-26 0:55 Sam James
2023-06-14 16:29 Sam James
2023-06-12 18:04 Sam James
2023-06-12 18:04 Sam James
2023-06-10 19:26 Andreas Sturmlechner
2023-06-10 5:19 Jakov Smolić
2023-06-09 16:38 Arthur Zamarin
2023-06-09 14:38 Sam James
2023-03-25 0:14 Andreas Sturmlechner
2022-12-15 4:43 Arthur Zamarin
2022-12-05 18:03 Arthur Zamarin
2022-12-05 8:45 Sam James
2022-11-23 20:22 Andreas Sturmlechner
2022-11-23 20:22 Andreas Sturmlechner
2022-11-04 8:08 Andreas Sturmlechner
2022-10-25 19:03 Andreas Sturmlechner
2022-09-14 16:28 Andreas Sturmlechner
2022-09-14 16:28 Andreas Sturmlechner
2022-06-23 4:29 Sam James
2022-04-10 13:33 Yixun Lan
2022-01-21 13:00 Andreas Sturmlechner
2022-01-21 12:42 Sam James
2022-01-20 15:34 Jakov Smolić
2022-01-20 15:34 Jakov Smolić
2021-12-20 12:42 Andreas Sturmlechner
2021-12-02 23:39 Sam James
2021-11-26 10:37 Andreas Sturmlechner
2021-11-06 20:54 Sam James
2021-11-04 16:13 Sam James
2021-11-04 16:12 Sam James
2021-08-31 15:42 Andreas Sturmlechner
2021-08-31 15:42 Andreas Sturmlechner
2021-08-15 18:57 Andreas Sturmlechner
2021-08-13 0:33 Sam James
2021-08-13 0:33 Sam James
2021-08-05 20:03 Sam James
2021-06-04 8:14 Sam James
2021-06-03 22:22 Sam James
2021-06-03 16:34 Sam James
2021-04-24 21:40 Andreas Sturmlechner
2021-04-16 22:02 Andreas Sturmlechner
2021-04-16 22:02 Andreas Sturmlechner
2021-04-11 10:43 Andreas Sturmlechner
2021-01-23 22:51 Sam James
2021-01-23 17:12 Andreas Sturmlechner
2021-01-03 15:53 Andreas Sturmlechner
2021-01-03 15:53 Andreas Sturmlechner
2020-12-28 15:03 Andreas Sturmlechner
2020-11-02 12:49 Sam James
2020-10-19 3:19 Sam James
2020-10-18 18:06 Thomas Deutschmann
2020-10-05 11:22 Andreas Sturmlechner
2020-09-13 11:19 Andreas Sturmlechner
2020-07-18 8:41 Andreas Sturmlechner
2020-07-17 7:44 Agostino Sarubbo
2020-07-11 2:37 Sam James
2020-06-30 21:44 Andreas Sturmlechner
2020-06-30 21:44 Andreas Sturmlechner
2020-06-30 21:44 Andreas Sturmlechner
2020-04-25 20:00 Mikle Kolyada
2020-03-19 6:25 Mikle Kolyada
2020-03-19 1:46 Andreas Sturmlechner
2020-03-19 0:06 Agostino Sarubbo
2020-03-18 23:48 Agostino Sarubbo
2020-03-11 23:05 Andreas Sturmlechner
2020-03-11 23:05 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-24 22:14 Andreas Sturmlechner
2020-02-10 7:12 Andreas Sturmlechner
2020-01-30 21:26 Michał Górny
2020-01-26 10:26 Georgy Yakovlev
2020-01-12 9:58 Andreas Sturmlechner
2020-01-07 19:34 Andreas Sturmlechner
2019-11-17 10:39 Andreas Sturmlechner
2019-11-16 23:16 Andreas Sturmlechner
2019-08-31 20:46 Andreas Sturmlechner
2019-08-28 19:41 Michał Górny
2019-07-22 8:54 Mikle Kolyada
2019-07-18 11:44 Agostino Sarubbo
2019-07-16 18:19 Andreas Sturmlechner
2019-06-30 11:51 Andreas Sturmlechner
2019-06-30 11:51 Andreas Sturmlechner
2019-06-30 11:04 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-06-29 21:34 Andreas Sturmlechner
2019-05-08 22:56 Andreas Sturmlechner
2019-04-03 14:11 Andreas Sturmlechner
2019-04-03 14:11 Andreas Sturmlechner
2019-02-19 18:04 Andreas Sturmlechner
2019-02-18 2:16 Craig Andrews
2019-01-30 23:56 Andreas Sturmlechner
2019-01-17 18:14 Mikle Kolyada
2019-01-15 22:10 Thomas Deutschmann
2019-01-09 10:57 Andreas Sturmlechner
2018-12-13 15:21 Mikle Kolyada
2018-12-13 15:20 Mikle Kolyada
2018-12-13 12:48 Thomas Deutschmann
2018-12-12 11:56 Andreas Sturmlechner
2018-08-30 8:50 Mikle Kolyada
2018-08-29 1:07 Thomas Deutschmann
2018-08-07 19:02 Andreas Sturmlechner
2018-07-28 23:59 Mikle Kolyada
2018-07-28 13:24 Thomas Deutschmann
2018-07-22 21:50 Andreas Sturmlechner
2018-07-22 21:50 Andreas Sturmlechner
2018-07-22 21:50 Andreas Sturmlechner
2018-06-03 11:15 Andreas Hüttel
2018-03-06 12:32 Michael Palimaka
2018-02-16 11:39 Michael Palimaka
2018-02-16 11:39 Michael Palimaka
2018-02-12 22:34 Thomas Deutschmann
2018-01-25 11:37 Michael Palimaka
2017-11-17 17:33 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-11-15 23:45 Andreas Sturmlechner
2017-10-31 18:35 Andreas Sturmlechner
2017-10-31 18:35 Andreas Sturmlechner
2017-10-28 12:17 Andreas Sturmlechner
2017-10-28 12:17 Andreas Sturmlechner
2017-06-30 17:27 Andreas Sturmlechner
2017-06-30 11:10 Agostino Sarubbo
2017-06-28 13:19 Agostino Sarubbo
2017-06-18 12:08 Michael Palimaka
2017-06-03 15:01 Michael Palimaka
2017-04-23 11:29 David Seifert
2017-01-26 14:55 Michael Palimaka
2017-01-26 14:53 Agostino Sarubbo
2017-01-26 14:45 Agostino Sarubbo
2016-11-30 15:20 Michael Palimaka
2016-08-21 20:08 Michael Palimaka
2016-07-27 14:12 Michael Palimaka
2016-06-23 13:40 Michael Palimaka
2016-06-21 21:44 Michael Palimaka
2016-04-20 15:04 Ian Stakenvicius
2016-01-02 14:11 Michael Palimaka
2016-01-02 14:11 Michael Palimaka
2016-01-01 15:54 Michael Palimaka
2016-01-01 15:25 Michael Palimaka
2016-01-01 15:25 Michael Palimaka
2015-10-04 9:58 Jeroen Roovers
2015-08-21 12:51 Alexis Ballier
2015-08-21 12:49 Alexis Ballier
2015-08-21 12:38 Alexis Ballier
2015-08-19 14:22 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609689171.a7c728b8f2ccacd17d1ce3c5bec727622a64f308.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox